Bug 1316181 - Missing 'Email' work item handler in kie-wb-deployment-descriptor.xml
Missing 'Email' work item handler in kie-wb-deployment-descriptor.xml
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Maciej Swiderski
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 10:23 EST by Jozef Marko
Modified: 2016-03-17 10:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Marko 2016-03-09 10:23:10 EST
Description of problem:
Jbpm designer in business central provides 4 predefined work item definitions:
Email, Log, WebService and Rest

In kie-wb-deployment-descriptor.xml are defined handlers for given work item definitions, but work item handler for Email is missing

Version-Release number of selected component (if applicable):
6.3.0.DR2

Steps to Reproduce Email work item handler is missing:
1. Create new process (Start -> Email -> End) in jbpm designer
2. Email node you can find under 'Service Tasks' section
3. Save process
4. Open Project Editor -> Deploy project
5. Process Management -> Process Definitions -> Start given process

Actual results:
Error about missing 'Email' work item handler will appear

Expected results:
No error about missing 'Email' work item will appear
Comment 1 Kris Verlaenen 2016-03-16 08:51:39 EDT
I believe it might not be feasible to configure the email work item handler by default because we need information about which email server to use.
Comment 2 Jozef Marko 2016-03-16 09:50:31 EDT
I understand that it can be not feasible to configure 'predefined' email work item handler. In that case, some short guide how to configure such handler might be added to documentation. What do you think about it?
Comment 3 Maciej Swiderski 2016-03-16 13:33:53 EDT
I agree that we cannot define email handler as global one as it will fail anyway as we don't know the details of the mail server. Moreover it should be certainly a user/admin decision if there should be any global or shall it be per project setting.
Comment 4 Jozef Marko 2016-03-17 06:15:58 EDT
Thanks Maciej. And what do you think, should short guide (how to create such handler) appear in documentation?
Comment 5 Maciej Swiderski 2016-03-17 10:16:48 EDT
completely agree to describe that in docs if not already there.

Note You need to log in before you can comment on or make changes to this bug.